# PlagScanCron

This Cron Provides a periodical check of all plagiarism checks against the PlagScan API through the **PlagScanExercise** plugin.

## Requirements

* PHP: [![PHP Version](https://img.shields.io/badge/PHP-7.4.x-blue.svg)](https://php.net/)
* ILIAS: [![ILIAS Version](https://img.shields.io/badge/ILIAS-8.x-orange.svg)](https://ilias.de/)
* ILIAS: [![Plugin PlagScanExercise](https://img.shields.io/badge/PlagScanExercise-1.2.x-orange.svg)](https://gitlab.databay.de/PlagScan/PlagScanExercise)

## Installation

Before installing the plugin ensure all requirements are given.

1. Clone this repository to **<YOUR_ILIAS>/Customizing/global/plugins/Services/Cron/CronHook**
2. Enter the repository and do **composer install**
3. Login to ILIAS with an administrator account (e.g. root)
4. Select **Plugins** from the **Administration** main menu drop down.
5. Search for the **PlagScanCron** plugin in the list of plugin and choose **Install** from the **Actions** drop down.

## Configuration

After installation the plugin can be activated within the ILIAS Plugin Administration overview.

After the activation the plugins cron job appears within the ILIAS Cron Jobs (Administration >> General Settings >> Cron Jobs).
From there it can be disabled, executed and its settings can be changed.
Beside the core settings of the cron shedule this job offer 3 custom settings:
- **Activation of PlagScan Cron** enables the cron job from plugin side.
- **Activate Hotrun** enables the communication with the required Plugin and therefor the PlagScan API. If not checked a dry run is executed without any external requests and therefore without functionality.
- **Protocol** activates a protocol log for the exectued cron job.

## Usage

None

## Specifications

None

## Correlation

None

#### Known Issues

None
